# ``twisted`.`python`.`systemd`.`ListenFDs``

class documentation

`class ListenFDs: (source)`

View In Hierarchy

`ListenFDs` provides access to file descriptors inherited from systemd.

Typically `ListenFDs.fromEnvironment` should be used to construct a new instance of `ListenFDs`.

Class Method | `fromEnvironment` | No summary
Method | `__init__` |
Method | `inheritedDescriptors` |
Constant | `_START` | File descriptors inherited from systemd are always consecutively numbered, with a fixed lowest "starting" descriptor. This gives the default starting descriptor. Since this must agree with the value systemd is using, it typically should not be overridden.
Instance Variable | `_descriptors` | A `list` of `int` giving the descriptors which were inherited.

@classmethod
def fromEnvironment(cls, environ=None, start=None): (source)

Parameters
environ:`Optional[Mapping[str, str]]` | A dictionary-like object to inspect to discover inherited descriptors. By default, `None`, indicating that the real process environment should be inspected. The default is suitable for typical usage.
start:`Optional[int]` | An integer giving the lowest value of an inherited descriptor systemd will give us. By default, `None`, indicating the known correct (that is, in agreement with systemd) value will be used. The default is suitable for typical usage.
Returns
`ListenFDs` | A new instance of `cls` which can be used to look up the descriptors which have been inherited.

def __init__(self, descriptors): (source)

Parameters
descriptors:`List[int]` | The descriptors which will be returned from calls to `inheritedDescriptors`.

def inheritedDescriptors(self): (source)

Returns
`Iterable[int]` | The configured descriptors.

_START: `int` = (source)
File descriptors inherited from systemd are always consecutively numbered, with a fixed lowest "starting" descriptor. This gives the default starting descriptor. Since this must agree with the value systemd is using, it typically should not be overridden.

Value

    3

_descriptors = (source)
A `list` of `int` giving the descriptors which were inherited.